Name: libbfio
Version: 20240414
Release: 1
Summary: Library to support (abstracted) basic file input/output (IO)
Group: System Environment/Libraries
License: LGPL-3.0-or-later
Source: %{name}-%{version}.tar.gz
URL: https://github.com/libyal/libbfio
         
BuildRequires: gcc         

%description -n libbfio
Library to support (abstracted) basic file input/output (IO)

%package -n libbfio-static
Summary: Library to support (abstracted) basic file input/output (IO)
Group: Development/Libraries
Requires: libbfio = %{version}-%{release}

%description -n libbfio-static
Static library version of libbfio.

%package -n libbfio-devel
Summary: Header files and libraries for developing applications for libbfio
Group: Development/Libraries
Requires: libbfio = %{version}-%{release}

%description -n libbfio-devel
Header files and libraries for developing applications for libbfio.

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libbfio
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so.*

%files -n libbfio-static
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.a

%files -n libbfio-devel
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so
%{_libdir}/pkgconfig/libbfio.pc
%{_includedir}/*
%{_mandir}/man3/*

%changelog
* Sun Apr 14 2024 Joachim Metz <joachim.metz@gmail.com> 20240414-1
- Auto-generated

